#define _WIN32_WINNT 0x0500 //w2k et +
#include <stdio.h>
#include <windows.h>

void AfficherRect(LPRECT prect)
{
	printf("  bas=%ld haut=%ld gauche=%ld droite=%ld\n",prect->bottom,prect->top,prect->left,prect->right);
}

BOOL CALLBACK MyInfoEnumProc(HMONITOR hMonitor,HDC hdcMonitor,LPRECT lprcMonitor,LPARAM dwData)
{
	MONITORINFOEX info;
	printf("Moniteur detecte :\n");
	info.cbSize = sizeof(MONITORINFOEX);
	if (GetMonitorInfo(hMonitor,(LPMONITORINFO)&info)) //cast
	{
		printf("  Nom = %S\n",info.szDevice); //%S ou %s si UNICODE ou pas
		printf("  Principal : %s\n",(info.dwFlags==MONITORINFOF_PRIMARY)?("Oui"):("Non"));
		printf("  rcMonitor : ");
		AfficherRect(&(info.rcMonitor));
		printf("  rcWork : ");
		AfficherRect(&(info.rcWork));
	}
	return TRUE;
}

int main()
{
	EnumDisplayMonitors(NULL, NULL, MyInfoEnumProc, 0);  
	return 0;
}

/*!F

  Voici de quoi numrer les crans prsents sur votre systme.
  Si vous avez par exemple deux crans branchs.

  La fonction EnumDisplayMonitors va appeler N fois la fonction que vous lui passez en paramtre, avec N le nombre de moniteurs branchs.
  Les paramtres seront, entre autres, un identifiant moniteur (HMONITOR), et une zone rectangulaire lprcMonitor.

  En faisant GetMonitorInfo, vous avez accs  une structure qui vous donne davantage d'informations : le nom du moniteur, et deux rectangles :
  rcMonitor : la rsolution du moniteur, et rcWork, la dimension de la zone de travail (qui peut tre un peu plus petite, par exemple  cause de la barre de tches)

  Vous saurez aussi quel moniteur est le moniteur principal.
  Il se peut que pour les moniteurs secondaires, les coordonnes soient ngatives : c'est le cas par exemple s'il est plac (virtuellement)  gauche du principal.


  Quelques liens de documentation :
http://msdn.microsoft.com/en-us/library/dd162610(v=vs.85).aspx
http://msdn.microsoft.com/en-us/library/dd145061(v=vs.85).aspx

!*/

/*!E
	No explanations yet.
!*/

/*
titre: Informations sur les moniteurs
titreE: Monitor informations.
meta: C;WINAPI;Windows
metaE: C;WINAPI;Windows
desc : Les sons standard Windows.
descE: Monitor informations.
cle  : EnumDisplayMonitors, GetMonitorInfo
*/
